v1.0.0
OpenAPI 3.1.0

Delete a folder

US region

Client Libraries

Delete a folder

Delete a folder including subfolders and all file (components, templates, and emails). You cannot delete a folder with emails used in your workflows (campaigns, broadcasts, etc).

However, you can delete a folder with components that are referenced in emails connected to workflows, so make sure deleting a folder with components won't break your emails.

Path Parameters
  • id
    Type: stringFormat: uuid
    required

    The UUID of the folder.

Responses
  • 204

    Successful response, no content returned

  • application/json
  • application/json
  • application/json
Request Example for delete/v1/design_studio/folders/{id}
curl https://api.customer.io/v1/design_studio/folders/123e4567-e89b-12d3-a456-426614174000 \
  --request DELETE
No Body